> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/access-control-audit-log.md).

# AccessControlAuditLog

Represents a single audit log item for an access control.

```graphql
type AccessControlAuditLog {
  accessControl: AccessControlResult
  accessControlLastRevision: AccessControlRevision
  action: AccessControlAction!
  external: Boolean!
  id: ID!
  modifiedComplete: ModifiedBoolean
  modifiedDataSourceList(
    after: String
    limit: Int
  ): AuditDiffLogConnectionResult!
  modifiedDescription: ModifiedString
  modifiedExternal: ModifiedBoolean
  modifiedFilterCriteria: ModifiedFilterCriteria
  modifiedName: ModifiedString
  modifiedNamingHint: ModifiedString
  modifiedPolicyRule: ModifiedString
  modifiedScopeList(after: String, limit: Int): AuditDiffLogConnectionResult!
  modifiedState: ModifiedAccessControlState
  modifiedWhatAbacRules: ModifiedWhatAbacRules
  modifiedWhatAccessControlsList(
    after: String
    limit: Int
  ): AuditDiffLogConnectionResult!
  modifiedWhatList(after: String, limit: Int): AuditDiffLogConnectionResult!
  modifiedWhoAbacRules: ModifiedWhoAbacRules
  modifiedWhoList(after: String, limit: Int): AuditDiffLogConnectionResult!
  name: String!
  syncStatus: SyncStatus!
}
```

### Fields

#### accessControl ● [`AccessControlResult`](https://developer.collibra.com/api/graphql/data-access/unions/access-control-result.md) union <a href="#access-control" id="access-control"></a>

Link to the actual access control.

#### accessControlLastRevision ● [`AccessControlRevision`](https://developer.collibra.com/api/graphql/data-access/object-types/access-control-revision.md) object <a href="#access-control-last-revision" id="access-control-last-revision"></a>

The latest (non-deleted) revision of the access control.

#### action ● [`AccessControlAction!`](https://developer.collibra.com/api/graphql/data-access/enumerations/access-control-action.md) non-null enum <a href="#action" id="action"></a>

The action of the access control at this point in time.

#### external ● [`Boolean!`](https://developer.collibra.com/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#external" id="external"></a>

Whether the access control was internal or external at this point in time.

#### id ● [`ID!`](https://developer.collibra.com/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#id" id="id"></a>

ID of the access control that was changed.

#### modifiedComplete ● [`ModifiedBoolean`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-boolean.md) object <a href="#modified-complete" id="modified-complete"></a>

Represents a change to the completeness of the access control.

#### modifiedDataSourceList ● [`AuditDiffLogConnectionResult!`](https://developer.collibra.com/api/graphql/data-access/unions/audit-diff-log-connection-result.md) non-null union <a href="#modified-data-source-list" id="modified-data-source-list"></a>

Represents a change to the data sources list of the access control.

**after ●** [**`String`**](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](https://developer.collibra.com/api/graphql/data-access/scalars/int.md) **scalar**

#### modifiedDescription ● [`ModifiedString`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-string.md) object <a href="#modified-description" id="modified-description"></a>

Represents a change to the description of the access control.

#### modifiedExternal ● [`ModifiedBoolean`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-boolean.md) object <a href="#modified-external" id="modified-external"></a>

Represents a change to the external/internal state of the access control.

#### modifiedFilterCriteria ● [`ModifiedFilterCriteria`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-filter-criteria.md) object <a href="#modified-filter-criteria" id="modified-filter-criteria"></a>

Represents a change to the filter criteria of the access control.

#### modifiedName ● [`ModifiedString`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-string.md) object <a href="#modified-name" id="modified-name"></a>

Represents a change to the name of the access control.

#### modifiedNamingHint ● [`ModifiedString`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-string.md) object <a href="#modified-naming-hint" id="modified-naming-hint"></a>

Represents a change to the naming hint of the access control.

#### modifiedPolicyRule ● [`ModifiedString`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-string.md) object <a href="#modified-policy-rule" id="modified-policy-rule"></a>

Represents a change to the policy rule of the access control.

#### modifiedScopeList ● [`AuditDiffLogConnectionResult!`](https://developer.collibra.com/api/graphql/data-access/unions/audit-diff-log-connection-result.md) non-null union <a href="#modified-scope-list" id="modified-scope-list"></a>

Represents a change to the scope/source list of the access control.

**after ●** [**`String`**](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](https://developer.collibra.com/api/graphql/data-access/scalars/int.md) **scalar**

#### modifiedState ● [`ModifiedAccessControlState`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-access-control-state.md) object <a href="#modified-state" id="modified-state"></a>

Represents a change to the state of the access control.

#### modifiedWhatAbacRules ● [`ModifiedWhatAbacRules`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-what-abac-rules.md) object <a href="#modified-what-abac-rules" id="modified-what-abac-rules"></a>

Represents a change to the WHAT ABAC rules of the access control.

#### modifiedWhatAccessControlsList ● [`AuditDiffLogConnectionResult!`](https://developer.collibra.com/api/graphql/data-access/unions/audit-diff-log-connection-result.md) non-null union <a href="#modified-what-access-controls-list" id="modified-what-access-controls-list"></a>

Represents a change to the WHAT access control list of the access control.

**after ●** [**`String`**](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](https://developer.collibra.com/api/graphql/data-access/scalars/int.md) **scalar**

#### modifiedWhatList ● [`AuditDiffLogConnectionResult!`](https://developer.collibra.com/api/graphql/data-access/unions/audit-diff-log-connection-result.md) non-null union <a href="#modified-what-list" id="modified-what-list"></a>

Represents a change to the WHAT list of the access control.

**after ●** [**`String`**](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](https://developer.collibra.com/api/graphql/data-access/scalars/int.md) **scalar**

#### modifiedWhoAbacRules ● [`ModifiedWhoAbacRules`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-who-abac-rules.md) object <a href="#modified-who-abac-rules" id="modified-who-abac-rules"></a>

Represents a change to the WHO ABAC rules of the access control.

#### modifiedWhoList ● [`AuditDiffLogConnectionResult!`](https://developer.collibra.com/api/graphql/data-access/unions/audit-diff-log-connection-result.md) non-null union <a href="#modified-who-list" id="modified-who-list"></a>

Represents a change to the WHO list of the access control.

**after ●** [**`String`**](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](https://developer.collibra.com/api/graphql/data-access/scalars/int.md) **scalar**

#### name ● [`String!`](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#name" id="name"></a>

The name of the access control at this point in time.

#### syncStatus ● [`SyncStatus!`](https://developer.collibra.com/api/graphql/data-access/enumerations/sync-status.md) non-null enum <a href="#sync-status" id="sync-status"></a>

The sync status of this audit item. It indicates if this changes has already been synced to the underlying system or not.

### Implemented By

[`AuditDiffItem`](https://developer.collibra.com/api/graphql/data-access/unions/audit-diff-item.md) union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/access-control-audit-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
